/*
********************************************************************************
*                                                                              *
*  2DHF version 2-2006                                                         *
*  Copyright (C) 2006 Leif Laaksonen, Jacek Kobus                              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************

Interface to a C routines to perform a dynamical memory (de)allocation

/* 	$Id: fmalloc.c,v 1.4 2006/06/28 20:38:15 jkob Exp $	 */


#include <stdio.h>
#include <sys/types.h>
#include <stdlib.h>
//#include <malloc.h>
/*
      bv:     is an integer to contain the address to the reserved
              memory

      reqlen: contains the number of bytes to be reserved

/************************************************************************/
void  fmalloc_(bv , reqlen)
      long *bv;
      long *reqlen;
{
      long *BV;

      BV = (long *)malloc(*reqlen);
      if (BV == NULL) {
       perror("Requested memory cannot be allocated");
       exit(1);}

      *bv = (long)BV;

      /*
       *bv = (long)malloc(*reqlen);
       if(*bv==0) exit(1);
      */
}

/************************************************************************/
void  ffree_(bv)  
      long *bv;
{
  free((void*)*bv);   
}

/************************************************************************/


