********************************************************************************
*                                                                              * 
*  2DHF version 2-2006                                                         *
*  Copyright (C) 2006 Jacek Kobus                                              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### i2numu ###
c     Calculates (inu,imu) for a given i=(imu-1)*nnu+inu

      subroutine i2numu (i,in,imu)
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)
      include 'commons8.inc'	
      do imu=1,mxnmu
         do in=1,nni
            it=(imu-1)*nni+in
            if (it.eq.i) return
         enddo
      enddo
      return
      end
