********************************************************************************
*                                                                              * 
*  2DHF version 2-2006                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### multf4 ###

c     Multiplies a given array (of length mxnmu) by F4

c     $Id: multf4.f,v 1.2 2006/06/28 20:31:42 jkob Exp $	

      subroutine multf4(a)
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)
      include 'commons8.inc'	
      dimension a(*)

      do i=1,mxnmu
         ii=(i-1)*nni
         do j=1,nni
            a(ii+j)=a(ii+j)*half*r*vxi(i)
         enddo
      enddo
      return
      end
