********************************************************************************
*                                                                              *
*  2DHF version 2-2006                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### asymorb ###
c
c     Calculates asymptotic values of a given orbital at the practical
c     infinity for immersed orbitals (see fill)
c

      subroutine asymorbtail (psi,aorb)
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)

      include 'commons8.inc'
      include 'commons8a.inc'
      dimension psi(*),aorb(nni,4)

      
      jj=0
      do j=mxnmu+1,mxnmu+4
         itt=(j-1)*nni
         jj=jj+1
         do i=1,nni
            kk=i+itt
            ps1=psi(kk)
            orbtail(itail(1),i,j-mxnmu)=psi(kk-nni)*aorb(i,jj)
         enddo
      enddo

      return
      end
