***************************************************************************
*                                                                         *
*   Copyright (C) 2008 Jacek Kobus <jkob@fizyka.umk.pl>                   *
*                                                                         *     
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License version 2 as     *
*   published by the Free Software Foundation.                            *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************
c ### getdatetime ###

c     Returns current date and time as a string.

c     This routine works for gfortran and g77 compilers but fails with
c     'segmentation fault' error when, for example, ifort o pgf77 are
c     used.
c     Comment the lines 
c        stime=time()
c        call ctime(stime,datetime)
c     or replace them with appropriate equivalents

      subroutine getdatetime(datetime)
      integer*4 stime
      character*80 datetime

      datetime=''

      stime=time()
      call ctime(stime,datetime)

      return
      end
