********************************************************************************
*                                                                              *
*  2DHF version 2-2006                                                         *
*  Copyright (C) 2006 Jacek Kobus                                              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### igetinttype ###

c     Checks whether fixed point data stored in a file are 4 or 8 byte
c     integers and returns checkintlen=4 or 8, respectively.

      function igetinttype()
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)

      integer*4 i4tmp1,i4tmp2,i4tmp(10)
      integer*8 i8tmp1,i8tmp2,i8tmp(10)

      include 'commons8.inc'

      rewind(iinp11)
      read(iinp11,err=1000) header_p
      read(iinp11,err=1000) datetime_p


      read(iinp11,err=100) i8tmp1,i8tmp2,i8tmp
      igetinttype=8
      rewind(iinp11)
      return

 100  continue
      igetinttype=4
      rewind(iinp11)
      return

 1000 continue
      write(iout6,'(//1x,"checkintlen: cannot read data from disk"//)')
      stop 'checkintlen'
      end

